That's supported and even required for some router updates.

Bob